Bug 45249 - u-lib: add `univention.lib.ordered_set` implementation
u-lib: add `univention.lib.ordered_set` implementation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Arvid Requate
:
Depends on:
Blocks: 36480 45252
  Show dependency treegraph
 
Reported: 2017-08-23 14:11 CEST by Lukas Oyen
Modified: 2017-09-22 15:31 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
oyen: Patch_Available+


Attachments
univention_lib_ordered_set.patch (11.32 KB, patch)
2017-08-23 14:11 CEST, Lukas Oyen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Oyen univentionstaff 2017-08-23 14:11:15 CEST
Created attachment 9139 [details]
univention_lib_ordered_set.patch

Adds the class `univention.lib.ordered_set.OrderedSet()` to `python-univention-lib`, as such an ordered set is a necessary container for fixes in relation to bug #31172.
Comment 1 Lukas Oyen univentionstaff 2017-08-23 14:16:21 CEST
Committed in r82430 (YAML: r82431).
Comment 2 Arvid Requate univentionstaff 2017-08-28 19:46:39 CEST
Ok, looks good.


root@master10:~# python /usr/share/pyshared/univention/lib/ordered_set.py 
..........................
----------------------------------------------------------------------
Ran 26 tests in 0.015s

OK
Comment 3 Arvid Requate univentionstaff 2017-09-13 16:35:09 CEST
<http://errata.software-univention.de/ucs/4.2/160.html>